Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.oslc4j.provider.json4j
Class OslcSimpleRdfJsonArrayProvider

    java.lang.Object
      org.eclipse.lyo.oslc4j.provider.json4j.AbstractOslcRdfJsonProvider
          org.eclipse.lyo.oslc4j.provider.json4j.OslcRdfJsonArrayProvider
              org.eclipse.lyo.oslc4j.provider.json4j.OslcSimpleRdfJsonArrayProvider

All Implemented Interfaces:
  javax.ws.rs.ext.MessageBodyReader<Object[]>, javax.ws.rs.ext.MessageBodyWriter<Object[]>

    @Provider
    public final class OslcSimpleRdfJsonArrayProvider

extends OslcRdfJsonArrayProvider

Field Summary

Fields inherited from class org.eclipse.lyo.oslc4j.provider.json4j.AbstractOslcRdfJsonProvider
`httpServletRequest`

Constructor Summary
`OslcSimpleRdfJsonArrayProvider()`

Method Summary
`void` | `writeTo(Object[] objects, Class<?> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType, javax.ws.rs.core.MultivaluedMap<String,Object> map, OutputStream outputStream)`

Methods inherited from class org.eclipse.lyo.oslc4j.provider.json4j.OslcRdfJsonArrayProvider
`getSize, isReadable, isWriteable, readFrom`

Methods inherited from class org.eclipse.lyo.oslc4j.provider.json4j.AbstractOslcRdfJsonProvider
`buildBadRequestResponse, isOslcQuery, isReadable, isWriteable, readFrom, writeTo, writeTo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OslcSimpleRdfJsonArrayProvider

    public OslcSimpleRdfJsonArrayProvider()

Method Detail

### writeTo

    public void writeTo(Object[] objects,
                        Class<?> type,
                        Type genericType,
                        Annotation[] annotations,
                        javax.ws.rs.core.MediaType mediaType,
                        javax.ws.rs.core.MultivaluedMap<String,Object> map,
                        OutputStream outputStream)
                 throws IOException,
                        javax.ws.rs.WebApplicationException

  Specified by:
    `writeTo` in interface `javax.ws.rs.ext.MessageBodyWriter<Object[]>`
  Overrides:
    `writeTo` in class `OslcRdfJsonArrayProvider`
  Throws:
    `IOException`
    `javax.ws.rs.WebApplicationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All rights reserved.